---
- name: Prepare
  hosts: all
  environment:
    GITLAB_ROOT_EMAIL: admin@example.com
    GITLAB_ROOT_PASSWORD: N3wPassw0rd
  pre_tasks:
    - when: ansible_os_family == 'Debian'
      block:

        - name: Update apt cache.
          apt:
            update_cache: true
            cache_valid_time: 600
          changed_when: false

        - name: Install dependencies
          apt:
            name:
              - net-tools   # for gathering on listening ports
              - iproute2    # for gathering network facts
            state: present

    - name: Remove the .dockerenv file so GitLab Omnibus doesn't get confused.
      file:
        path: /.dockerenv
        state: absent

    - name: Get postgres ip
      command: docker inspect --format {% raw %}'{{range .NetworkSettings.Networks}}{{.IPAddress}}{{end}}'{% endraw %} postgres  # noqa 206
      register: postgres_ip
      changed_when: False
      delegate_to: localhost

  tasks:
    - name: "Include geerlingguy.gitlab"
      include_role:
        name: "gitlab"
